	subroutine gufld (location, field)

c This routine returns the magnetic field as a 3-vector evaluated at a
c given point
c Inputs:
c	location(3): coordinates of point in MRS (cm)
c Outputs:
c	field(3): components of field (kG)
c
c PW 20-Oct-93
c  - original code
c
c Richard Jones June 7, 2003
c  - replaced the use of fortran "record" statement with standard fortran-77,
c    and changed column alignment to conform to the fortran source form.
c  - replaced trig intrinsics based on degrees (sind,cosd,tand..) with
c    local versions because g77 does not support them

	implicit none

	include 'user.inc'

*	structure /point/
*	  real x, y, z
*	end structure

*	record /point/ location, field

	real location(3),field(3)

	field(1) = 0				! initially no field
	field(2) = 0
	field(3) = 0

	if((location(3).lt.-chicane_length/2.0 + dipole_length+0.00001)
     1                                   .or.
     2     (location(3).gt.chicane_length/2.0 - dipole_length-0.00001))
     3  then
	   field(1) = dipole_field
	else
	   field(1) = -dipole_field
	endif

c	write(6,*) 'Field:', location(3), field(1)

	end
